local CLASS = {};

CLASS.Name = "CM - Elite Soldier";
CLASS.Description = "A FUCKEN ELITE SOLDIER NIGAAA"
CLASS.Model = "models/player/combine_super_soldier.mdl"
CLASS.Icon = CLASS.Model
CLASS.Flag = "elite";
CLASS.Public = false;
CLASS.TeamID = 4;
CLASS.TeamColour = Color( 0, 255, 0, 255 )

if ( SERVER ) then
	CLASS.Weapons = { "eps_hands", "eps_keys", "eps_9mm", "eps_shotgun" };
	
	CLASS.PlayerSpawnHook = function( ply )
		ply:SetHealth( 100 );
	end;
end;

epsilonScript.Classes.RegisterClass( CLASS );